library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity FMToneTransmitter is
	port (
		Clk    : in std_logic;
		Reset  : in std_logic;
		B440   : in std_logic;
		B880   : in std_logic;
		AntOut : out std_logic
	);
end entity;

architecture Architecture1 of FMToneTransmitter is
	component DCM32to288 is
		port (
			CLKIN_IN        : in std_logic; 
			CLKFX_OUT       : out std_logic; 
			CLKIN_IBUFG_OUT : out std_logic; 
			CLK0_OUT        : out std_logic
		);
	end component;
	component FMTransmitter is
		port (
			Clk         : in std_logic;
			Reset       : in std_logic;
			Button440   : in std_logic;
			Button880   : in std_logic;
			AntOut      : out std_logic
		);
	end component;
	signal Clk288 : std_logic;
begin
	DCM : DCM32to288 port map (
		CLKIN_IN => Clk,
		CLKFX_OUT => Clk288
	);
	T : FMTransmitter port map (
		Clk => Clk288,
		Reset => Reset,
		Button440 => B440,
		Button880 => B880,
		AntOut => AntOut
	);
end architecture;

